Bug 130208 - kernel 2.6.7-1.494.2.2 Nforce 2 ethernet driver problem
kernel 2.6.7-1.494.2.2 Nforce 2 ethernet driver problem
Status: CLOSED NEXTRELEASE
Product: Fedora
Classification: Fedora
Component: kernel (Show other bugs)
2
i686 Linux
medium Severity medium
: ---
: ---
Assigned To: Dave Jones
Brian Brock
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2004-08-17 21:16 EDT by Donald L. Walters
Modified: 2015-01-04 17:08 EST (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2005-04-16 01:28:10 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Donald L. Walters 2004-08-17 21:16:09 EDT
Description of problem:
Installing kernel 2.6.7-1.494.2.2 kills the Nvidia Nforce 2 ethernet
drivers on Shuttle SN41G2-V2 chip set machines, but not on earlier
SN41G1 version 1 machines.  Also there are video driver timing changes
and the LCD monitor loses sync, but auto reset of LCD monitor recovers.


Version-Release number of selected component (if applicable):
only kernel 2.6.7-1.494.2.2 

How reproducible:
Always  (three installs of above kernel, but 2.6.6-1 .435.2.3 and
earlier work fine.

Steps to Reproduce:
1.Every install of kernel 2.6.7-1.494.2.2 on a Shuttle SN41G2-V2 from
the up2date, and reboot.
2. Eth0 not found during boot
3.
  
Actual results:
Ethernet eth0 is not found at reboot, so there is no ethernet
connection.  Also video driver scan rates change, but work with an
auto reset of the monitor.

Expected results:
Working ethernet as with kernel 2.6.6-1 .435.2.3 and earlier

Additional info:
Unique to the new Nvidia chipset used in the Shuttle SN41G2-V2  (AMD
3000XP), and does not occur for two SN41G2 original versions we tried.
Comment 1 Kevin Russell 2004-08-31 19:02:34 EDT
I have a similar problem that may be related.  After upgrading
from kernel 2.6.6-1.435.2.3 to either 2.6.7-1.494.2.2 or
2.6.8-1.521, the installation of NVIDIA's binary nForce ethernet
driver fails (using NFORCE-Linux-x86-1.0-0283-pkg1.run).

/var/log/nvidia-nforce-installer.log reports errors such as

  [...]
  /tmp/selfgz2641/NFORCE-Linux-x86-1.0-0283-pkg1/nvnet/nvenet.c:1720:
error: request for member `lock' in something not a structure or union
  [...]

Upon further investigation, CONFIG_DEBUG_SPINLOCK has been enabled
on both the new kernels which in turn, tickles a compilation bug in
NVIDIA's use of spin_lock().

Rebuilding the 2.6.8-1.521 with CONFIG_DEBUG_SPINLOCK disabled allows
NVIDIA code to compile and the system is able to recognize eth0.

Of course, this is comletely unrelated if you use the forcedeth
driver.
Comment 2 Dave Jones 2004-11-27 17:31:23 EST
mass update for old bugs:

Is this still a problem in the 2.6.9 based kernel update ?
Comment 3 Dave Jones 2005-04-16 01:28:10 EDT
Fedora Core 2 has now reached end of life, and no further updates will be
provided by Red Hat.  The Fedora legacy project will be producing further kernel
updates for security problems only.

If this bug has not been fixed in the latest Fedora Core 2 update kernel, please
try to reproduce it under Fedora Core 3, and reopen if necessary, changing the
product version accordingly.

Thank you.

Note You need to log in before you can comment on or make changes to this bug.